Subject: bug#33771: 27.0.50; Error building Harfbuzz branch on Debian testing

From: Philipp Stephani <[email-masked]>
Date: Mon, 17 Dec 2018 21:34:52 +0100

Am Mo., 17. Dez. 2018 um 18:46 Uhr schrieb Eli Zaretskii <[email-masked]>:
>
> > From: Philipp Stephani <[email-masked]>
> > Date: Mon, 17 Dec 2018 18:20:28 +0100
> > Cc: Mike Kupfer <[email-masked]>, [email-masked],
> >       [email-masked]
> >
> > Thanks, it seems to build now without errors.
> > I still get a few warnings though:
> >
> >   CC       ftfont.o
> > ftfont.c:2819:1: warning: ‘ftfont_shape_by_hb’ defined but not used
> > [-Wunused-function]
> >  ftfont_shape_by_hb (Lisp_Object lgstring, FT_Face ft_face, hb_font_t *hb_font,
> >  ^~~~~~~~~~~~~~~~~~
> > ftfont.c:482:1: warning: ‘ftfont_get_hb_font’ defined but not used
> > [-Wunused-function]
> >  ftfont_get_hb_font (struct ftfont_info *ftfont_info)
> >  ^~~~~~~~~~~~~~~~~~
>
> I tried to fix that, please test.

Sure, now I get two different warnings:

  CC       ftfont.o
ftfont.c:2804:1: warning: ‘get_hb_unicode_funcs’ defined but not used
[-Wunused-function]
 get_hb_unicode_funcs (void)
 ^~~~~~~~~~~~~~~~~~~~
ftfont.c:482:1: warning: ‘ftfont_get_hb_font’ defined but not used
[-Wunused-function]
 ftfont_get_hb_font (struct ftfont_info *ftfont_info)
 ^~~~~~~~~~~~~~~~~~